API DocumentationManufacturer order controller

Get order by ID

Retrieves a specific order by its ID

GET
/api/manufacturer/v1/order/{id}
AuthorizationBearer <token>

In: header

Path Parameters

idinteger

ID of the order to retrieve

Formatint64

Response Body

curl -X GET "http://m-api-dev.phas.io/api/manufacturer/v1/order/1"
{
  "id": 0,
  "customerOrganisationId": 0,
  "customerOrganisationName": "string",
  "threadId": 0,
  "createdAt": "2019-08-24T14:15:22Z",
  "updateDt": "2019-08-24T14:15:22Z",
  "isArchived": true,
  "isVoided": true,
  "isPurchaseOrder": true,
  "isInProject": true,
  "isSilent": true,
  "source": "string",
  "billingAddressId": 0,
  "currency": "string",
  "localCurrency": "string",
  "paymentStatus": "string",
  "awaitingStatus": "string",
  "kanbanColumnId": "string",
  "quoteNumber": "string",
  "orderNumber": "string",
  "accountingSystemEstimateId": "string",
  "accountingSystemEstimateNumber": "string",
  "accountingSystemConfirmationId": "string",
  "accountingSystemConfirmationNumber": "string",
  "accountingSystemInvoiceId": "string",
  "accountingSystemInvoiceNumber": "string",
  "affiliate": "string",
  "manufacturerUsername": "string",
  "actorType": "string",
  "paymentDueDate": "2019-08-24T14:15:22Z",
  "productionProgress": {
    "volume": 0,
    "quantity": 0
  },
  "requisitionIds": [
    0
  ],
  "assemblyRequisitions": [
    {
      "id": 0,
      "assemblyId": "177e95d7-b841-4a88-9b1d-2e76eb106c0b",
      "assemblyName": "string",
      "quantity": 0,
      "assemblyPricePaid": 0,
      "totalPricePaid": 0,
      "partCount": 0,
      "createdAt": "2019-08-24T14:15:22Z"
    }
  ],
  "expenses": [
    {
      "expenseId": 0,
      "name": "string",
      "description": "string",
      "type": "string",
      "price": 0,
      "costForOperator": 0
    }
  ],
  "shipment": {
    "id": 0,
    "operatorId": 0,
    "shippingMode": "SELF_COLLECTION",
    "shippingMethodId": 0,
    "customerOrganisationId": 0,
    "rateId": "string",
    "toAddressId": 0,
    "status": "string",
    "dispatchDate": "2019-08-24",
    "toAddressDto": {
      "addressId": 0,
      "isBillingAddress": true,
      "street1": "string",
      "street2": "string",
      "city": "string",
      "state": "string",
      "country": "string",
      "countryAlpha2Code": "string",
      "countryAlpha3Code": "string",
      "jurisdictionIsoCode": "string",
      "zip": "string",
      "name": "string",
      "company": "string",
      "phone": "string",
      "email": "string",
      "residential": true,
      "addressType": "string",
      "isDeleted": true
    },
    "fromAddressDto": {
      "addressId": 0,
      "isBillingAddress": true,
      "street1": "string",
      "street2": "string",
      "city": "string",
      "state": "string",
      "country": "string",
      "countryAlpha2Code": "string",
      "countryAlpha3Code": "string",
      "jurisdictionIsoCode": "string",
      "zip": "string",
      "name": "string",
      "company": "string",
      "phone": "string",
      "email": "string",
      "residential": true,
      "addressType": "string",
      "isDeleted": true
    },
    "carrierAccountProvider": "string",
    "carrierAccountServiceType": "string",
    "carrierAccountServiceName": "string",
    "estimatedRate": 0,
    "finalRatePaid": 0,
    "labelId": "string",
    "labelUrl": "string",
    "qrCodeUrl": "string",
    "trackingDto": {
      "id": 0,
      "shipmentId": 0,
      "trackingNumber": "string"
    }
  },
  "discount": {
    "discountId": 0,
    "discountType": "string",
    "code": "string",
    "percentage": 0,
    "startTime": "2019-08-24T14:15:22Z",
    "endTime": "2019-08-24T14:15:22Z",
    "customerId": 0,
    "customerEmail": "string",
    "customerPhoneNumber": "string"
  },
  "tax": {
    "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
    "components": [
      {
        "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
        "shortName": "string",
        "longName": "string",
        "percentage": 0,
        "amount": 0,
        "localAmount": 0
      }
    ],
    "totalPrice": 0,
    "localTotalPrice": 0,
    "isTaxAppliedToShipping": true,
    "isTaxExempted": true,
    "accountingSystemTaxId": "string",
    "taxNumber": "string"
  },
  "price": 0,
  "localPrice": 0,
  "topUpPrice": 0,
  "purchaseOrderNumber": "string",
  "customerAcceptedTime": "2019-08-24T14:15:22Z",
  "operatorNote": "string",
  "customReference": "string",
  "bypassPurchasabilityChecks": true,
  "subscribedCustomerIds": [
    0
  ],
  "isEditable": true
}
Empty